"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DEFAULT_OPTIONS = exports.DEFAULT_SETTINGS_DTO = exports.DEFAULT_TENANT = exports.DEFAULT_TRANSPORT = exports.MT_QUERY_PARAMETER_NAME = exports.MT_HEADER_NAME = exports.MT_OPTIONS = exports.MT_SCOPE_KEY = exports.IOREDIS_CACHE = exports.SEQUELIZE_STORAGE = void 0;
const core_interface_1 = require("./interfaces/core.interface");
exports.SEQUELIZE_STORAGE = 'sequelize';
exports.IOREDIS_CACHE = 'ioredis';
exports.MT_SCOPE_KEY = '$$MT_SCOPE$$';
exports.MT_OPTIONS = 'MT_OPTIONS';
exports.MT_HEADER_NAME = 'X-Tenant-ID';
exports.MT_QUERY_PARAMETER_NAME = 'tenant';
exports.DEFAULT_TRANSPORT = core_interface_1.TenantTransport.HTTP;
exports.DEFAULT_TENANT = 'root';
exports.DEFAULT_SETTINGS_DTO = {};
exports.DEFAULT_OPTIONS = {
    storageSettingsDto: exports.DEFAULT_SETTINGS_DTO,
    transport: exports.DEFAULT_TRANSPORT,
    headerName: exports.MT_HEADER_NAME,
    queryParameterName: exports.MT_QUERY_PARAMETER_NAME,
    defaultTenant: exports.DEFAULT_TENANT,
    allowTenant: () => true,
    allowMissingTenant: true,
};
