import { Options } from '../interfaces/module.options';
export interface ApiOptions extends Pick<Options, 'transport' | 'headerName' | 'queryParameterName'> {
    includeQuery?: boolean;
}
export declare function Api(options?: ApiOptions): <TFunction extends Function, Y>(target: object | TFunction, propertyKey?: string | symbol, descriptor?: TypedPropertyDescriptor<Y>) => void;
