import { Model } from 'sequelize-typescript';
import { TenancyEntityOptions } from '../interfaces/core.interface';
export declare function injectInstanceWithTenantProperty(attributes: any, options: any, target: typeof Model, tenancyOptions: TenancyEntityOptions): void;
export declare function injectQueryScopeWithTenantProperty(options: any, target: typeof Model, tenancyOptions: TenancyEntityOptions): void;
export declare function beforeCreate(target: typeof Model, tenancyOptions: TenancyEntityOptions): Function;
export declare function beforeBulkCreate(target: typeof Model, tenancyOptions: TenancyEntityOptions): Function;
export declare function beforeUpdate(target: typeof Model, tenancyOptions: TenancyEntityOptions): Function;
export declare function beforeBulkUpdate(target: typeof Model, tenancyOptions: TenancyEntityOptions): Function;
export declare function beforeDestroy(target: typeof Model, tenancyOptions: TenancyEntityOptions): Function;
export declare function beforeBulkDestroy(target: typeof Model, tenancyOptions: TenancyEntityOptions): Function;
export declare function beforeUpsert(target: typeof Model, tenancyOptions: TenancyEntityOptions): Function;
export declare function beforeFindAfterExpandIncludeAll(target: typeof Model, tenancyOptions: TenancyEntityOptions): Function;
export declare const hooks: (typeof beforeCreate)[];
export declare function enhanceTenantEntity(target: typeof Model, tenancyOptions: TenancyEntityOptions): void;
