import { TenantTransport, TenantGuard, TenantEntity } from './core.interface';
import { Storage } from './storage.interface';
import { Cache } from '../storages/cache/cache.interface';
import { CachedStorageOptions } from '../storages/cached.storage';
export interface Options {
    for: Array<TenantEntity | Function>;
    transport?: TenantTransport;
    headerName?: string;
    queryParameterName?: string;
    defaultTenant?: string;
    allowTenant?: TenantGuard;
    allowMissingTenant?: boolean;
    storage?: string | Storage<unknown>;
    storageSettingsDto?: any;
    storageRepository?: any;
    cache?: string | Cache;
    cacheClient?: any;
    cacheOptions?: CachedStorageOptions;
}
