import { TenantContext } from '../interfaces/core.interface';
import { Transport } from './transport.interface';
export declare class HttpTransport implements Transport {
    protected readonly headerName: string;
    protected readonly queryParameterName: string;
    constructor(headerName: string, queryParameterName: string);
    extract(context: TenantContext): string;
    protected urlParameter(url: string, name: string): string;
    protected normalizeHeaderName(header: string): string;
}
