import { TenantEntity } from '../interfaces/core.interface';
import { MtenantService } from '../mtenant.service';
export interface EntityOptions {
    tenantField?: string;
    idField?: string;
}
export declare function isTenantEntity(target: unknown): target is TenantEntity;
export declare function injectTenancyService(target: TenantEntity, service: MtenantService): void;
export declare function getTenancyService(target: TenantEntity): MtenantService;
export declare function Entity(options?: EntityOptions): ClassDecorator;
