"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MTDecoratorError = exports.MTError = exports.TenantTransport = exports.isTenantEntity = exports.TenantsStorageSequelizeModel = exports.MTApi = exports.MTEntity = exports.TenancyMiddleware = exports.MTService = exports.DEFAULT_ENTITY_OPTIONS = exports.ID_FIELD = exports.TENANT_FIELD = exports.TENANT_ENTITY_METADATA_FIELD = exports.TENANCY_SERVICE_METADATA_FIELD = exports.DISABLE_TENANCY_OPTION = exports.DEFAULT_SETTINGS_DTO = exports.DEFAULT_OPTIONS = exports.DEFAULT_TENANT = exports.DEFAULT_TRANSPORT = exports.MT_QUERY_PARAMETER_NAME = exports.MT_HEADER_NAME = exports.MT_OPTIONS = exports.MT_SCOPE_KEY = exports.IOREDIS_CACHE = exports.SEQUELIZE_STORAGE = exports.MTModule = void 0;
var mtenant_module_1 = require("./mtenant.module");
Object.defineProperty(exports, "MTModule", { enumerable: true, get: function () { return mtenant_module_1.MtenantModule; } });
var constants_1 = require("./constants");
Object.defineProperty(exports, "SEQUELIZE_STORAGE", { enumerable: true, get: function () { return constants_1.SEQUELIZE_STORAGE; } });
Object.defineProperty(exports, "IOREDIS_CACHE", { enumerable: true, get: function () { return constants_1.IOREDIS_CACHE; } });
Object.defineProperty(exports, "MT_SCOPE_KEY", { enumerable: true, get: function () { return constants_1.MT_SCOPE_KEY; } });
Object.defineProperty(exports, "MT_OPTIONS", { enumerable: true, get: function () { return constants_1.MT_OPTIONS; } });
Object.defineProperty(exports, "MT_HEADER_NAME", { enumerable: true, get: function () { return constants_1.MT_HEADER_NAME; } });
Object.defineProperty(exports, "MT_QUERY_PARAMETER_NAME", { enumerable: true, get: function () { return constants_1.MT_QUERY_PARAMETER_NAME; } });
Object.defineProperty(exports, "DEFAULT_TRANSPORT", { enumerable: true, get: function () { return constants_1.DEFAULT_TRANSPORT; } });
Object.defineProperty(exports, "DEFAULT_TENANT", { enumerable: true, get: function () { return constants_1.DEFAULT_TENANT; } });
Object.defineProperty(exports, "DEFAULT_OPTIONS", { enumerable: true, get: function () { return constants_1.DEFAULT_OPTIONS; } });
Object.defineProperty(exports, "DEFAULT_SETTINGS_DTO", { enumerable: true, get: function () { return constants_1.DEFAULT_SETTINGS_DTO; } });
var constants_2 = require("./decorators/constants");
Object.defineProperty(exports, "DISABLE_TENANCY_OPTION", { enumerable: true, get: function () { return constants_2.DISABLE_TENANCY_OPTION; } });
Object.defineProperty(exports, "TENANCY_SERVICE_METADATA_FIELD", { enumerable: true, get: function () { return constants_2.TENANCY_SERVICE_METADATA_FIELD; } });
Object.defineProperty(exports, "TENANT_ENTITY_METADATA_FIELD", { enumerable: true, get: function () { return constants_2.TENANT_ENTITY_METADATA_FIELD; } });
Object.defineProperty(exports, "TENANT_FIELD", { enumerable: true, get: function () { return constants_2.TENANT_FIELD; } });
Object.defineProperty(exports, "ID_FIELD", { enumerable: true, get: function () { return constants_2.ID_FIELD; } });
Object.defineProperty(exports, "DEFAULT_ENTITY_OPTIONS", { enumerable: true, get: function () { return constants_2.DEFAULT_ENTITY_OPTIONS; } });
var mtenant_service_1 = require("./mtenant.service");
Object.defineProperty(exports, "MTService", { enumerable: true, get: function () { return mtenant_service_1.MtenantService; } });
var tenancy_middleware_1 = require("./middlewares/tenancy.middleware");
Object.defineProperty(exports, "TenancyMiddleware", { enumerable: true, get: function () { return tenancy_middleware_1.TenancyMiddleware; } });
var entity_1 = require("./decorators/entity");
Object.defineProperty(exports, "MTEntity", { enumerable: true, get: function () { return entity_1.Entity; } });
var api_1 = require("./decorators/api");
Object.defineProperty(exports, "MTApi", { enumerable: true, get: function () { return api_1.Api; } });
var storage_model_1 = require("./storages/sequelize/storage.model");
Object.defineProperty(exports, "TenantsStorageSequelizeModel", { enumerable: true, get: function () { return storage_model_1.TenantsStorage; } });
var core_interface_1 = require("./interfaces/core.interface");
Object.defineProperty(exports, "isTenantEntity", { enumerable: true, get: function () { return core_interface_1.isTenantEntity; } });
Object.defineProperty(exports, "TenantTransport", { enumerable: true, get: function () { return core_interface_1.TenantTransport; } });
var mtenant_error_1 = require("./errors/mtenant.error");
Object.defineProperty(exports, "MTError", { enumerable: true, get: function () { return mtenant_error_1.BaseError; } });
var decorator_error_1 = require("./errors/decorator.error");
Object.defineProperty(exports, "MTDecoratorError", { enumerable: true, get: function () { return decorator_error_1.DecoratorError; } });
