"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TenancyMiddleware = void 0;
const tslib_1 = require("tslib");
const common_1 = require("@nestjs/common");
const mtenant_service_1 = require("../mtenant.service");
let TenancyMiddleware = class TenancyMiddleware {
    constructor(coreService) {
        this.coreService = coreService;
    }
    use(request, _response, next) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            yield this.coreService.runWithinTenancyScope(request, next);
        });
    }
};
TenancyMiddleware = tslib_1.__decorate([
    (0, common_1.Injectable)(),
    tslib_1.__metadata("design:paramtypes", [mtenant_service_1.MtenantService])
], TenancyMiddleware);
exports.TenancyMiddleware = TenancyMiddleware;
