import { DynamicModule, MiddlewareConsumer, NestModule } from '@nestjs/common';
import { Options } from './interfaces/module.options';
import { AsyncOptions } from './interfaces/module-async.options';
export declare class MtenantModule implements NestModule {
    configure(consumer: MiddlewareConsumer): void;
    static forRoot(options?: Options): DynamicModule;
    static forRootAsync(options: AsyncOptions): DynamicModule;
    private static createAsyncProviders;
    private static createAsyncOptionsProvider;
}
