"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TenantsStorage = void 0;
const tslib_1 = require("tslib");
const sequelize_typescript_1 = require("sequelize-typescript");
let TenantsStorage = class TenantsStorage extends sequelize_typescript_1.Model {
};
tslib_1.__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.Column,
    tslib_1.__metadata("design:type", Number)
], TenantsStorage.prototype, "id", void 0);
tslib_1.__decorate([
    sequelize_typescript_1.Unique,
    (0, sequelize_typescript_1.AllowNull)(false),
    sequelize_typescript_1.Column,
    tslib_1.__metadata("design:type", String)
], TenantsStorage.prototype, "tenant", void 0);
tslib_1.__decorate([
    (0, sequelize_typescript_1.AllowNull)(true),
    (0, sequelize_typescript_1.Column)(sequelize_typescript_1.DataType.BLOB),
    tslib_1.__metadata("design:type", String)
], TenantsStorage.prototype, "settings", void 0);
tslib_1.__decorate([
    sequelize_typescript_1.CreatedAt,
    tslib_1.__metadata("design:type", Date)
], TenantsStorage.prototype, "createdAt", void 0);
tslib_1.__decorate([
    sequelize_typescript_1.UpdatedAt,
    tslib_1.__metadata("design:type", Date)
], TenantsStorage.prototype, "updatedAt", void 0);
TenantsStorage = tslib_1.__decorate([
    (0, sequelize_typescript_1.Table)({
        timestamps: true,
        paranoid: true,
    })
], TenantsStorage);
exports.TenantsStorage = TenantsStorage;
